Endpointsチャレンジ

チャレンジの新しいOTPを生成する

このAPIは、指定されたチャレンジの新しいワンタイムパスワード(OTP)を生成するために使用されます。

POST
/challenge/generate-otp
AuthorizationBearer <token>

In: header

Header Parameters

Kid-Target-Product-Id?integer

アカウントシステムプロダクトがプロダクト間の年齢ゲートチェックを実行するための任意のヘッダー。値は、同じ組織内の対象プロダクトのプロダクトIDである必要があります。対象プロダクト自体がアカウントシステムプロダクトであってはなりません。

Request Body

application/json

チャレンジステータス設定リクエスト

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/challenge/generate-otp" \  -H "Content-Type: application/json" \  -d '{    "challengeId": "b1a6482d-5242-4b4a-aa88-3fa52595a672"  }'
{  "otp": "123ABC",  "expiresAt": "2022-12-31T23:59:59Z",  "url": "https://example.com/challenge"}